Summary:	Perl Crypto Extension to OpenSSL
Name: 		perl-OpenCA-OpenSSL
Version: 	0.9.135.2.11
Release:	%mkrel 1
License:	BSD-like
Group: 		Development/Perl
URL:		http://www.openca.org
Source0:	OpenCA-OpenSSL-%{version}.tar.bz2
Patch0:		OpenCA-OpenSSL-0.9.135.2.11-cvs_fixes.diff
Requires:	openca-sv
Requires:	openssl
BuildRequires:	perl-MIME-tools
BuildRequires:	perl-X500-DN
BuildRequires:	perl-devel
BuildRequires:	perl-libintl-perl
BuildRequires:	openssl >= 0.9.7
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	chrpath
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
This Perl Module implements an interface to the openssl backend
program. It actually uses the openssl command and it is not fully
integrated as PERL/C mixture.

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

%prep

%setup -q -n OpenCA-OpenSSL-%{version}
%patch0 -p1 -b .cvs_fixes

# lib64 fix
perl -pi -e "s|/lib\b|%{_libdir}|g" Makefile.PL

%build
export PERL_MM_USE_DEFAULT="1"
export CFLAGS="%{optflags}"
export CCFLAGS="%{optflags}"
export OPENSSL_PREFIX="%{_prefix}"

%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

# nuke rpath
find %{buildroot} -name "*.so" | xargs chrpath -d

%clean 
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes LICENSE doc
%{perl_vendorlib}/*/auto/OpenCA/OpenSSL
%{perl_vendorlib}/*/OpenCA/OpenSSL.pm
%{perl_vendorlib}/*/OpenCA/OpenSSL.pod
%{perl_vendorlib}/*/OpenCA/test_smime.pl
%{perl_vendorlib}/*/OpenCA/OpenSSL
%{_mandir}/*/*

%changelog
* Fri Feb 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.135.2.11-1mdk
- 0.9.135.2.11 (taken from the OpenCA-0.9.2.5 tar ball)
- don't ship the MANIFEST file
- lib64 fixes
- added fixes from cvs

* Fri Sep 09 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.135.2.4-2mdk
- rebuild

* Tue Mar 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.135.2.4-1mdk
- 0.9.135.2.4
- taken from the openca-0.9.2.2 tarball, newer than from cvs!

* Fri Feb  4 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.135.2.1-2mdk
- rebuilt against new perl

* Tue Nov 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.135.2.1-1mdk
- 0.9.135.2.1
- taken from the openca-0.9.2.1 tarball, newer than from cvs!

* Sat Oct 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.135-1mdk
- 0.9.135

* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.133-1mdk
- 0.9.133

* Sun Aug 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.132-1mdk
- 0.9.132

* Sat Jul 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.130-1mdk
- 0.9.130

* Tue Jul 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.129-1mdk
- 0.9.129

* Wed Jul 21 2004 Stefan van der Eijk <stefan@eijk.nu> 0.9.128-2mdk
- BuildRequires

* Tue Jul 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.128-1mdk
- 0.9.128

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.127-1mdk
- 0.9.127

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.126-1mdk
- 0.9.126

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.121-2mdk
- built for cooker
- fix some deps (Stefan van der Eijk)

* Thu Jun 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.121-1mdk
- 0.9.121

* Sat May 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.117-1mdk
- 0.9.117

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.113-1mdk
- 0.9.113

* Thu Apr 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.110-1mdk
- 0.9.110

* Wed Apr 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.109-1mdk
- 0.9.109

* Thu Apr 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.103-1mdk
- initial package
